package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 值班排版审核状态
 *
 * @author Qi ChengBin
 * @date 2025/01/15 13:28:33
 */

@Getter
public enum PpDutyScheduleStatusEnums implements CodeDescEnumInterface {
    UNAUDITED(0, "未审核"),
    PASS(1, "通过"),
    REFUSE(2, "拒绝");

    private final Integer code;
    private final String desc;

    PpDutyScheduleStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
